# Interface ICefDomNode

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDomNode = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a DOM node. The functions of this interface should only be called on the render process main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domnode_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDomNode

## Overview

### Methods

| `function GetType: TCefDomNodeType;`
| `function IsText: Boolean;`
| `function IsElement: Boolean;`
| `function IsEditable: Boolean;`
| `function IsFormControlElement: Boolean;`
| `function GetFormControlElementType: TCefDomFormControlType;`
| `function IsSame(const that: ICefDomNode): Boolean;`
| `function GetName: ustring;`
| `function GetValue: ustring;`
| `function SetValue(const value: ustring): Boolean;`
| `function GetAsMarkup: ustring;`
| `function GetDocument: ICefDomDocument;`
| `function GetParent: ICefDomNode;`
| `function GetPreviousSibling: ICefDomNode;`
| `function GetNextSibling: ICefDomNode;`
| `function HasChildren: Boolean;`
| `function GetFirstChild: ICefDomNode;`
| `function GetLastChild: ICefDomNode;`
| `function GetElementTagName: ustring;`
| `function HasElementAttributes: Boolean;`
| `function HasElementAttribute(const attrName: ustring): Boolean;`
| `function GetElementAttribute(const attrName: ustring): ustring;`
| `procedure GetElementAttributes(const attrMap: ICefStringMap); overload;`
| `procedure GetElementAttributes(var attrList: TStrings); overload;`
| `function SetElementAttribute(const attrName, value: ustring): Boolean;`
| `function GetElementInnerText: ustring;`
| `function GetElementBounds: TCefRect;`

### Properties

| `property NodeType : TCefDomNodeType read GetType;`
| `property Name : ustring read GetName;`
| `property AsMarkup : ustring read GetAsMarkup;`
| `property Document : ICefDomDocument read GetDocument;`
| `property Parent : ICefDomNode read GetParent;`
| `property PreviousSibling : ICefDomNode read GetPreviousSibling;`
| `property NextSibling : ICefDomNode read GetNextSibling;`
| `property FirstChild : ICefDomNode read GetFirstChild;`
| `property LastChild : ICefDomNode read GetLastChild;`
| `property ElementTagName : ustring read GetElementTagName;`
| `property ElementInnerText : ustring read GetElementInnerText;`
| `property ElementBounds : TCefRect read GetElementBounds;`

## Description

### Methods

| `function GetType: TCefDomNodeType;`
Returns the type for this node. ###### Attributes GUID['{96C03C9E-9C98-491A-8DAD-1947332232D6}']

| `function IsText: Boolean;`
Returns true (1) if this is a text node.

| `function IsElement: Boolean;`
Returns true (1) if this is an element node.

| `function IsEditable: Boolean;`
Returns true (1) if this is an editable node.

| `function IsFormControlElement: Boolean;`
Returns true (1) if this is a form control element node.

| `function GetFormControlElementType: TCefDomFormControlType;`
Returns the type of this form control element node.

| `function IsSame(const that: ICefDomNode): Boolean;`
Returns true (1) if this object is pointing to the same handle as |that| object.

| `function GetName: ustring;`
Returns the name of this node.

| `function GetValue: ustring;`
Returns the value of this node.

| `function SetValue(const value: ustring): Boolean;`
Set the value of this node. Returns true (1) on success.

| `function GetAsMarkup: ustring;`
Returns the contents of this node as markup.

| `function GetDocument: ICefDomDocument;`
Returns the document associated with this node.

| `function GetParent: ICefDomNode;`
Returns the parent node.

| `function GetPreviousSibling: ICefDomNode;`
Returns the previous sibling node.

| `function GetNextSibling: ICefDomNode;`
Returns the next sibling node.

| `function HasChildren: Boolean;`
Returns true (1) if this node has child nodes.

| `function GetFirstChild: ICefDomNode;`
Return the first child node.

| `function GetLastChild: ICefDomNode;`
Returns the last child node.

| `function GetElementTagName: ustring;`
Returns the tag name of this element.

| `function HasElementAttributes: Boolean;`
Returns true (1) if this element has attributes.

| `function HasElementAttribute(const attrName: ustring): Boolean;`
Returns true (1) if this element has an attribute named |attrName|.

| `function GetElementAttribute(const attrName: ustring): ustring;`
Returns the element attribute named |attrName|.

| `procedure GetElementAttributes(const attrMap: ICefStringMap); overload;`
Returns a ICefStringMap of all element attributes.

| `procedure GetElementAttributes(var attrList: TStrings); overload;`
Returns a TStrings of all element attributes.

| `function SetElementAttribute(const attrName, value: ustring): Boolean;`
Set the value for the element attribute named |attrName|. Returns true (1) on success.

| `function GetElementInnerText: ustring;`
Returns the inner text of the element.

| `function GetElementBounds: TCefRect;`
Returns the bounds of the element in device pixels. Use "window.devicePixelRatio" to convert to/from CSS pixels.

### Properties

| `property NodeType : TCefDomNodeType read GetType;`
Returns the type for this node.

| `property Name : ustring read GetName;`
Returns the name of this node.

| `property AsMarkup : ustring read GetAsMarkup;`
Returns the contents of this node as markup.

| `property Document : ICefDomDocument read GetDocument;`
Returns the document associated with this node.

| `property Parent : ICefDomNode read GetParent;`
Returns the parent node.

| `property PreviousSibling : ICefDomNode read GetPreviousSibling;`
Returns the previous sibling node.

| `property NextSibling : ICefDomNode read GetNextSibling;`
Returns the next sibling node.

| `property FirstChild : ICefDomNode read GetFirstChild;`
Return the first child node.

| `property LastChild : ICefDomNode read GetLastChild;`
Returns the last child node.

| `property ElementTagName : ustring read GetElementTagName;`
Returns the tag name of this element.

| `property ElementInnerText : ustring read GetElementInnerText;`
Returns the inner text of the element.

| `property ElementBounds : TCefRect read GetElementBounds;`
Returns the bounds of the element in device pixels. Use "window.devicePixelRatio" to convert to/from CSS pixels.

Generated by PasDoc 0.16.0-snapshot.